﻿using Microsoft.VisualStudio.Shell;
using Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.Properties;
using System;
using System.Runtime.InteropServices;
using Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.ViewModels;
using Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.VisualStudio;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.UI
{
    [Guid("1F5973B3-9A67-4BD8-8E8A-8363875538F7")]
    public class CodeAnalysisResultWindowPane : ToolWindowPane
    {
        public CodeAnalysisResultWindowPane()
        {
            Caption = Resources.CodeAnalysisResultWindowTitle;
            BitmapResourceID = 301;
            BitmapIndex = 0;

            var content = new CodeAnalysisResultContent();
            content.DataContext = new CodeAnalysisResultViewModel();
            Content = content;
        }
    }
}