﻿using Sasa.QualityTools.CodeAnalysis.Common;
using System;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.VisualStudio
{
    public class AzureProject : Project
    {
        public override bool ShouldAnalyze
        {
            get
            {
                return false;
            }
        }

        public override string AssemblyPath
        {
            get
            {
                Logger.Info("Can't get assembly path because this is a 'Windows Azure' project.");
                return null;
            }
        }


        public AzureProject(EnvDTE.Project project)
            : base(project)
        {
        }
    }
}
