﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.ViewModels
{
    public class DataGridColumnViewModel : ViewModelBase
    {
        private bool isVisible;

        private int displayIndex;

        private double width;


        public string PropertyName { get; private set; }

        public bool IsVisible
        {
            get
            {
                return isVisible;
            }
            set
            {
                isVisible = value;
                OnPropertyChanged("IsVisible");
            }
        }

        public int DisplayIndex
        {
            get
            {
                return displayIndex;
            }
            set
            {
                displayIndex = value;
                OnPropertyChanged("DisplayIndex");
            }
        }

        public double Width
        {
            get
            {
                return width;
            }
            set
            {
                width = value;
                OnPropertyChanged("Width");
            }
        }


        public DataGridColumnViewModel(string propertyName)
        {
            PropertyName = propertyName;
            isVisible = true;
            Width = 100;
        }
    }
}
