﻿using Sasa.QualityTools.CodeAnalysis.Common;
using System;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.VisualStudio
{
    public class AzureProject : Project
    {
        public const string Guid = "{CC5FD16D-436D-48AD-A40C-5A424C6E3E79}";


        public override string AssemblyPath
        {
            get
            {
                Logger.Warn("Can't get assembly path because this is a 'Windows Azure' project.");
                return null;
            }
        }

        public override bool IsSupportedCodeAnalysis
        {
            get
            {
                return false;
            }
        }


        public AzureProject(EnvDTE.Project project)
            : base(project)
        {
        }
    }
}
