﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Sasa.QualityTools.CodeAnalysis.Common;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.VisualStudio
{
    public class GenericUnsupportedProject : Project
    {
        public override bool IsSupportedCodeAnalysis
        {
            get
            {
                return false;
            }
        }

        public override string NotSupportedReason
        {
            get
            {
                return "The assebly output path was not detected, so FxCop Integrator can't analyze this project.";
            }
        }


        public GenericUnsupportedProject(EnvDTE.Project project)
            : base(project)
        {
        }
    }
}
