﻿using Sasa.QualityTools.CodeAnalysis.Common;
using System;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.VisualStudio
{
    public class WebSiteProject : Project
    {
        public const string Guid = "{E24C65DC-7377-472b-9ABA-BC803B73C61A}";


        public override string AssemblyPath
        {
            get
            {
                Logger.Warn("Can't get assembly path because this is a 'Web Site' project.");
                return null;
            }
        }

        public override bool IsSupportedCodeAnalysis
        {
            get
            {
                return false;
            }
        }


        public WebSiteProject(EnvDTE.Project project)
            : base(project)
        {
        }
    }
}
