﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Sasa.QualityTools.CodeAnalysis.Core.Models;

namespace Sasa.QualityTools.CodeAnalysis.Core.Tests.Unit.Instruments
{
    public class DummyCoordinator3 : IFxCopReportValueCoordinator
    {
        public event EventHandler<CoordinateRequiredEventArgs> CoordinateRequired;


        public void Coordinate(Problem problem)
        {
            if (CoordinateRequired != null)
            {
                CoordinateRequired(this, new CoordinateRequiredEventArgs(problem));
            }
        }


        public class CoordinateRequiredEventArgs : EventArgs
        {
            public Problem Problem { get; private set; }


            public CoordinateRequiredEventArgs(Problem problem)
            {
                Problem = problem;
            }
        }
    }
}
