﻿using Sasa.QualityTools.CodeAnalysis.Common;
using System;
using System.IO;

namespace Sasa.QualityTools.CodeAnalysis.Core
{
    public static class Constants
    {
        public static readonly string CodeAnalysisReportFileName = "CodeAnalysisReport.xml";

        public static readonly string CodeMetricsReportFileName = "CodeMetricsReport.xml";

        public static readonly string CodeAnalysisConfigurationDirName = "CodeAnalysis";

        public static readonly string CodeAnalysisConfigurationFileName = "CodeAnalysisConfiguration.xml";

        public static readonly string FxCopDictionaryFileName = "FxCopDictionary.xml";

        public static readonly string FxCopProjectFileName = "CodeAnalysis.fxcop";

        public static readonly string AppDataDir = Path.Combine(Environment.GetEnvironmentVariable("APPDATA"), CommonConstants.ProductName);

        public static readonly string CodeAnalysisCommandFileName = "CodeAnalysis.exe";

        public static readonly string CodeAnalysisCommandPath = Path.Combine(AppDataDir, CodeAnalysisCommandFileName);
    }
}
