﻿using System;
using System.Runtime.Serialization;

namespace Sasa.QualityTools.CodeAnalysis.Core.Models
{
    [Serializable]
    public class CodeAnalysisException : Exception
    {
        public CodeAnalysisException()
        {
        }

        public CodeAnalysisException(string message)
            : base(message)
        {
        }

        public CodeAnalysisException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        protected CodeAnalysisException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
