﻿using System;

namespace Sasa.QualityTools.CodeAnalysis.Core.Models
{
    public class CommandMessage
    {
        public MessageCategory Category { get; private set; }

        public string Content { get; private set; }


        public CommandMessage(MessageCategory category, string content)
        {
            Category = category;
            Content = content;
        }


        public enum MessageCategory
        {
            Info = 0,
            Error = 1,
        }
    }
}
