﻿using System;

namespace Sasa.QualityTools.CodeAnalysis.Core.Models
{
    public class Problem : CodeAnalysisResultValueBase
    {
        public string CheckId { get; set; }

        public string Category { get; set; }

        public string Id { get; set; }

        public string Message { get; set; }

        public string TypeName { get; set; }


        public Problem Copy()
        {
            Problem problem = new Problem();
            problem.CheckId = CheckId;
            problem.Category = Category;
            problem.Id = Id;
            problem.Message = Message;
            problem.Kind = Kind;
            problem.AssemblyPath = AssemblyPath;
            problem.TypeName = TypeName;
            problem.Path = Path;
            problem.Line = Line;
            return problem;
        }
    }
}
