﻿using Microsoft.Practices.Unity;
using Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.Commands.Behaviors.Configuration;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.Commands
{
    [MenuCommand(Constants.Project.Id, Constants.Project.Configure)]
    public class ConfigureProjectCommand : CommandBase<CommandExecutionContext>
    {
        public ConfigureProjectCommand(IUnityContainer container)
            : base(container)
        {
            Behaviors.Add(new ConfigureProjectBehavior(container));
        }
    }
}
