﻿using System;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.ViewModels.Events
{
    public class CodeFocusRequestedEventArgs : EventArgs
    {
        public string Path { get; private set; }

        public int? Line { get; private set; }


        public CodeFocusRequestedEventArgs(string path, int? line)
        {
            Path = path;
            Line = line;
        }
    }
}
