﻿using Sasa.QualityTools.CodeAnalysis.Core.Models;
using System;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.ViewModels
{
    public class RuleSetViewModel : ViewModelBase
    {
        private RuleSet ruleSet;


        public string Name
        {
            get { return ruleSet.Name; }
            set { ruleSet.Name = value; OnPropertyChanged("Name"); }
        }

        public string Path
        {
            get { return ruleSet.Path; }
            set { ruleSet.Path = value; OnPropertyChanged("Path"); }
        }


        public RuleSetViewModel()
            : this(new RuleSet())
        {
        }

        public RuleSetViewModel(RuleSet ruleSet)
        {
            this.ruleSet = ruleSet;
        }
    }
}
