﻿using EnvDTE;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.VisualStudio
{
    public class UnsupportedLanguageCodeModel : CodeModel
    {
        public override bool IsSupportedLanguage
        {
            get
            {
                return false;
            }
        }

        public override IEnumerable<string> TypeNames
        {
            get
            {
                return new string[] { };
            }
        }


        internal UnsupportedLanguageCodeModel(FileCodeModel model)
            : base(model)
        {
        }
    }
}
