Imports System
Imports System.Diagnostics
Imports System.IO
Imports Microsoft.WindowsAzure.Diagnostics
Imports Microsoft.WindowsAzure.ServiceRuntime

Public Class AzureLocalStorageTraceListener
    Inherits XmlWriterTraceListener

    Public Sub New()
        MyBase.New(Path.Combine(AzureLocalStorageTraceListener.GetLogDirectory().Path, "VB.WCFServiceWebRole.svclog"))
    End Sub

    Public Shared Function GetLogDirectory() As DirectoryConfiguration
        Dim directory As DirectoryConfiguration = New DirectoryConfiguration
        directory.Container = "wad-tracefiles"
        directory.DirectoryQuotaInMB = 10
        directory.Path = RoleEnvironment.GetLocalResource("VB.WCFServiceWebRole.svclog").RootPath
        Return directory
    End Function

End Class
