﻿using System;

namespace Sasa.QualityTools.CodeAnalysis.Common
{
    public interface ILogger
    {
        void Info(string format, params object[] args);

        void Warn(string format, params object[] args);

        void Error(string format, params object[] args);

        void Error(Exception exception, string format, params object[] args);
    }
}
