﻿using System;

namespace Sasa.QualityTools.CodeAnalysis.Core.Entities.CodeAnalysis
{
    /// <summary>
    /// This enum represents the kind of a violated code.
    /// </summary>
    public enum CodeKind
    {
        Unknown = 0,
        Target,
        Module,
        Namespace,
        Resource,
        Class,
        Delegate,
        Enum,
        Interface,
        Struct,
        Constructor,
        Event,
        Field,
        Method,
        Property,
    }
}
