﻿using System;
using System.Collections.Generic;

namespace Sasa.QualityTools.CodeAnalysis.Core.Entities
{
    public class FxCopDictionary
    {
        public ICollection<Term> RecognizedTerms { get; private set; }

        public ICollection<Term> UnrecognizedTerms { get; private set; }

        public ICollection<Term> DeprecatedTerms { get; private set; }

        public ICollection<Term> CompoundTerms { get; private set; }

        public ICollection<Term> DiscreteExceptions { get; private set; }

        public ICollection<Term> Acronyms { get; private set; }


        public FxCopDictionary()
        {
            RecognizedTerms = new List<Term>();
            UnrecognizedTerms = new List<Term>();
            DeprecatedTerms = new List<Term>();
            CompoundTerms = new List<Term>();
            DiscreteExceptions = new List<Term>();
            Acronyms = new List<Term>();
        }
    }
}
