﻿using System;

namespace Sasa.QualityTools.CodeAnalysis.Core.Requests
{
    public class AssemblyAnalysisRequest : CodeAnalysisRequest
    {
        public override string Target
        {
            get
            {
                return AssemblyPath;
            }
            set
            {
                AssemblyPath = value;
            }
        }

        public string AssemblyPath { get; set; }

        public bool EnableSearchGac { get; set; }

        public bool IgnoreGeneratedCode { get; set; }

        public int Timeout { get; set; }

        public string RuleSetPath { get; set; }
    }
}
