﻿using Sasa.QualityTools.CodeAnalysis.Core.Entities.CodeAnalysis;
using System;
using System.Collections.Generic;

namespace Sasa.QualityTools.CodeAnalysis.Core.Responses
{
    public class CodeAnalysisResponse
    {
        public ICollection<Problem> Problems { get; private set; }

        public ICollection<Rule> Rules { get; private set; }


        public CodeAnalysisResponse(IEnumerable<Problem> problems, IEnumerable<Rule> rules)
        {
            Problems = new List<Problem>(problems);
            Rules = new List<Rule>(rules);
        }
    }
}
