﻿using Microsoft.VisualStudio.Shell;
using System;
using System.ComponentModel;
using System.Drawing.Design;
using System.IO;
using System.Runtime.InteropServices;
using System.Windows.Forms.Design;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator
{
    [Guid("FB94271B-2D97-4B48-BEFA-D51A8D3A8AE8")]
    public class GeneralOptionPageData : DialogPage
    {
        [Browsable(true)]
        [DisplayName("FxCopCmd Path")]
        [Category("General")]
        [Description("The full path of FxCopCmd.exe.")]
        [EditorAttribute(typeof(FileNameEditor), typeof(UITypeEditor))]
        public string FxCopCmdPath { get; set; }



        public GeneralOptionPageData()
        {
            FxCopCmdPath = Path.Combine(Environment.GetEnvironmentVariable("ProgramFiles"), "Microsoft Fxcop 10.0", "FxCopCmd.exe");
        }
    }
}
