﻿using System;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.Models
{
    /// <summary>
    /// This class represents FxCop rule metadata.
    /// </summary>
    public class Rule
    {
        /// <summary>
        /// The check id of FxCop rule.
        /// </summary>
        public string CheckId { get; set; }

        /// <summary>
        /// The category of FxCop rule.
        /// </summary>
        public string Category { get; set; }

        /// <summary>
        /// The name of FxCop rule.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// The description of FxCop rule.
        /// </summary>
        public string Description { get; set; }
    }
}
