﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Sasa.QualityTools.CodeAnalysis.Core.Models
{
    public class MetricValue : CodeAnalysisResultValueBase
    {
        public string Namespace { get; set; }

        public string TypeName { get; set; }

        public string Signature { get; set; }

        public int MaintainabilityIndex { get; set; }

        public int CyclomaticComplexity { get; set; }

        public int ClassCoupling { get; set; }

        public int LinesOfCode { get; set; }

        public int? DepthOfInheritance { get; set; }
    }
}
