﻿using System;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.Commands
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false, Inherited = false)]
    public sealed class MenuCommandAttribute : Attribute
    {
        public string MenuGroupGuid { get; private set; }

        public int CommandId { get; private set; }


        public MenuCommandAttribute(string menuGroupGuid, int commandId)
        {
            MenuGroupGuid = menuGroupGuid;
            CommandId = commandId;
        }
    }
}
