﻿using System;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator
{
    internal static class Constants
    {
        internal static class Package
        {
            internal const string Id = "f68ccd27-da1c-4fb6-b274-b7902924fbec";

            internal const int ShowCodeInspectionResult = 0;

            internal const int ShowCodeMetricsCalculationResult = 1;
        }

        internal static class Solution
        {
            internal const string Id = "57332fba-36b0-4ba9-b093-daa8fe9720fc";

            internal const int Analyze = 0;

            internal const int Inspect = 1;

            internal const int CalculateMetrics = 2;

            internal const int Configure = 3;

            internal const int EditDictionary = 4;
        }

        internal static class Project
        {
            internal const string Id = "7bbc66ed-7f13-4d3c-b30c-35b912f398d8";

            internal const int Analyze = 0;

            internal const int Inspect = 1;

            internal const int CalculateMetrics = 2;

            internal const int Configure = 3;
        }

        internal static class MultiProject
        {
            internal const string Id = "e34cb6a8-6f70-48bf-bda7-3f72cb2e1180";

            internal const int Analyze = 0;

            internal const int Inspect = 1;

            internal const int CalculateMetrics = 2;
        }

        internal static class Item
        {
            internal const string Id = "4c80e9cd-4f0b-4aa3-ba4c-71275436186e";

            internal const int Inspect = 0;
        }

        internal static class RuleDetailWindowPane
        {
            internal const string Id = "c9280835-ae41-4d6c-a997-4f9c146fcf07";

            internal const int ShowMoreDetail = 0;

            internal const int Toolbar = 1;
        }

        internal static class Window
        {
            // useful web page : http://dotneteers.net/blogs/divedeeper/archive/2009/02/02/LearnVSXNowPart41.aspx
            internal const string SolutionExplorer = "3ae79031-e1bc-11d0-8f78-00a0c9110057";
        }

        internal static class UIContext
        {
            internal const string SolutionExists = "f1536ef8-92ec-443c-9ed7-fdadf150da82";
        }

        //internal static class CommandSymbol
        //{
        //    internal const int Solution = 0x0000;
        //    internal const int Project = 0x0001;
        //    internal const int MultiProject = 0x0002;
        //    internal const int Item = 0x0004;
        //    internal const int AnalyzeSolution = 0x1000;
        //    internal const int AnalyzeProject = 0x1001;
        //    internal const int AnalyzeMultiProject = 0x1002;
        //    internal const int InspectSolution = 0x1010;
        //    internal const int InspectProject = 0x1011;
        //    internal const int InspectMultiProject = 0x1012;
        //    internal const int InspectItem = 0x1014;
        //    internal const int CalculateSolutionMetrics = 0x1020;
        //    internal const int CalculateProjectMetrics = 0x1021;
        //    internal const int CalculateMultiProjectMetrics = 0x1022;
        //    internal const int EditSolutionConfiguration = 0x2000;
        //    internal const int EditProjectConfiguration = 0x2001;
        //    internal const int EditFxCopDictionary = 0x2002;
        //    internal const int ShowResultWindow = 0x4000;
        //    internal const int MenuShowMoreDetail = 0x4001;
        //    internal const int ToolbarShowMoreDetail = 0x4002;
        //    internal const int ToolbarGroup = 0x8000;
        //}
    }
}
