﻿using System;
using System.ComponentModel;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.Options
{
    [Flags]
    public enum IntegratedCodeAnalysisCommandBehaviors
    {
        [Description("Code Inspection Only")]
        Inspect = 0x0001,

        [Description("Code Metrics Calculation Only")]
        CalculateMetrics = 0x0002,

        All = Inspect | CalculateMetrics,
    }
}
