﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Sasa.QualityTools.CodeAnalysis.MSBuild.Tests.Unit.Instruments
{
    public class MSBuildResult
    {
        public bool Success { get; set; }

        public ICollection<string> Outputs { get; private set; }


        public MSBuildResult()
        {
            Outputs = new List<string>();
        }


        public override string ToString()
        {
            return String.Format("Success = {0}, Outputs = {1}", Success, String.Join(Environment.NewLine, Outputs));
        }
    }
}
