﻿using System;
using System.Diagnostics.CodeAnalysis;

namespace Sasa.QualityTools.CodeAnalysis.Common
{
    public interface ILogger
    {
        void Info(string format, params object[] args);

        void Warn(string format, params object[] args);

        [SuppressMessage("Microsoft.Naming", "CA1716")]
        void Error(string format, params object[] args);

        [SuppressMessage("Microsoft.Naming", "CA1716")]
        void Error(Exception exception, string format, params object[] args);
    }
}
