﻿using Microsoft.Practices.Unity;
using Sasa.QualityTools.CodeAnalysis.Core.VisualStudio;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.Commands.Behaviors.CodeAnalysis.Inspection
{
    public class CreateMultiProjectInspectorBehavior : CreateCodeInspectorBehaviorBase
    {
        public CreateMultiProjectInspectorBehavior(IUnityContainer container)
            : base(container)
        {
        }


        public override void Behave(CodeAnalysisCommandExecutionContext context)
        {
            var ide = Container.Resolve<IIde>();
            foreach (var project in ide.Solution.SelectedProjects)
            {
                context.Progress.CodeAnalyzers.Add(BuildupCodeAnalysis(project));
            }
        }
    }
}
