﻿using Microsoft.Practices.Unity;
using Sasa.QualityTools.CodeAnalysis.Core.VisualStudio;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.Commands.Behaviors.CodeAnalysis.Inspection
{
    public class CreateProjectInspectorBehavior : CreateCodeInspectorBehaviorBase
    {
        public CreateProjectInspectorBehavior(IUnityContainer container)
            : base(container)
        {
        }


        public override void Behave(CodeAnalysisCommandExecutionContext context)
        {
            var ide = Container.Resolve<IIde>();
            var project = ide.Solution.CurrentProject;
            context.Progress.CodeAnalyzers.Add(BuildupCodeAnalysis(project));
        }
    }
}
