﻿using Microsoft.Practices.Unity;
using Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.Commands.Behaviors.Configuration;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.Commands
{
    [MenuCommand(Constants.Solution.Id, Constants.Solution.Configure)]
    public class ConfigureSolutionCommand : CommandBase<CommandExecutionContext>
    {
        public ConfigureSolutionCommand(IUnityContainer container)
            : base(container)
        {
            Behaviors.Add(new ConfigureSolutiontBehavior(container));
        }
    }
}
