﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.ViewModels.Events
{
    public class CodeAnalysisFailedEventArgs : EventArgs
    {
        public IEnumerable<string> FailedTargets { get; private set; }


        public CodeAnalysisFailedEventArgs(IEnumerable<string> failedTargets)
        {
            FailedTargets = new ReadOnlyCollection<string>(failedTargets.ToList());
        }
    }
}
