﻿using Microsoft.VisualStudio.PlatformUI;
using Sasa.QualityTools.CodeAnalysis.Core.Views;
using System.Windows.Controls;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.Views
{
    public partial class SolutionConfigurationEditorWindow : DialogWindow, ICodeAnalysisConfigurationView
    {
        public SolutionConfigurationEditorWindow()
        {
            InitializeComponent();
        }


        private void OnCellEditEnding(object sender, DataGridCellEditEndingEventArgs e)
        {
            if (e.EditingElement is TextBox)
            {
                ((TextBox)e.EditingElement).Text = ((TextBox)e.EditingElement).Text.Replace("\b", "");
            }
        }
    }
}
