﻿using Sasa.QualityTools.CodeAnalysis.Common;
using System;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.VisualStudio
{
    public class DatabaseProject : Project
    {
        public const string Guid = "{C8D11400-126E-41CD-887F-60BD40844F9E}";


        public override string AssemblyPath
        {
            get
            {
                Logger.Warn("Can't get assembly path because this is a 'Database' project.");
                return null;
            }
        }

        public override bool IsSupportedCodeAnalysis
        {
            get
            {
                return false;
            }
        }


        public DatabaseProject(EnvDTE.Project project)
            : base(project)
        {
        }
    }
}
