﻿using Sasa.QualityTools.CodeAnalysis.Common;
using System;

namespace Sasa.QualityTools.CodeAnalysis.FxCopIntegrator.VisualStudio
{
    public class SetupProject : Project
    {
        public const string Guid = "{54435603-DBB4-11D2-8724-00A0C9A8B90C}";

        
        public override string AssemblyPath
        {
            get
            {
                Logger.Warn("Can't get assembly path because this is a 'Merge Module' project.");
                return null;
            }
        }

        public override bool IsSupportedCodeAnalysis
        {
            get
            {
                return false;
            }
        }


        public SetupProject(EnvDTE.Project project)
            : base(project)
        {
        }
    }
}
